aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2022-03-30 19:14:30 +0200
committerdec05eba <dec05eba@protonmail.com>2022-03-30 19:14:30 +0200
commit900553e6c0120edaf90fa8d28f34bd82af4c5a58 (patch)
treed5353f60e9384729e78603bf794c0dd8c3b601ef /build.sh
parenta66516e34ed1037cdc38fce8bd957fd77152c39f (diff)
Add daemon
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..73911f5
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+[ $# -ne 1 ] && echo "usage: build.sh debug|release" && exit 1
+
+script_dir=$(dirname "$0")
+cd "$script_dir"
+
+sibs build --"$1" gpu-screen-recorder-overlay-daemon
+sibs build --"$1"
+echo "Successfully built"